# Lockheed 1049H
#
# Custom 1049H routines for seat support
#
# Gary Neely aka 'Buckaroo'
#


var current_view_z	= props.globals.getNode("/sim/current-view/z-offset-m");
var current_view_y	= props.globals.getNode("/sim/current-view/y-offset-m");
var current_view_pitch	= props.globals.getNode("/sim/current-view/pitch-offset-deg");
var default_view_z	= props.globals.getNode("/sim/view[0]/config/z-offset-m");
var default_view_y	= props.globals.getNode("/sim/view[0]/config/y-offset-m");
var default_view_pitch	= props.globals.getNode("/sim/view[0]/config/pitch-offset-deg");
var seat_pilot_offset_z	= props.globals.getNode("/systems/seat/pilot-z-offset-m");


# Calculate offset for moving pilot's seat forward-back according to custom preferences;
#   current view settings - default view settings = offset along z (+x in Blender)
# The offset is used for a cockpit animation.

var seat_pilot_update = func {
  seat_pilot_offset_z.setValue(current_view_z.getValue()-default_view_z.getValue());
}


# Reset viewing properties to aircraft configuration settings.

var seat_pilot_defaults = func {
  current_view_z.setValue(default_view_z.getValue());
  current_view_y.setValue(default_view_y.getValue());
  current_view_pitch.setValue(default_view_pitch.getValue());
  seat_pilot_offset_z.setValue(0);
}
